package Client;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import pkg.TableWithMissingTG;

public class TestPKStrategies {

    private static EntityManagerFactory emf;
    private static EntityManager em;
    
    public TestPKStrategies() {
    }
    
    public static void main(String[] args) {
        TestPKStrategies qe = new TestPKStrategies();
        
        emf = Persistence.createEntityManagerFactory("TryingPKStrategiesPU");
        em = emf.createEntityManager();
        
        qe.testTableWithMissingTG();
    }

    private void testTableWithMissingTG() {
        em.getTransaction().begin();
        TableWithMissingTG entity1 = new TableWithMissingTG();
        TableWithMissingTG entity2 = new TableWithMissingTG();
        em.persist(entity1);
        em.persist(entity2);
        em.getTransaction().commit();
        
        System.out.println("TableWithMissingTG: Id generated - " + entity1.getId());
        System.out.println("TableWithMissingTG: Id generated - " + entity2.getId());
    }
}
